## org.omg.CORBA
Class INITIALIZEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INITIALIZEHelper

public class INITIALIZEHelper
extends java.lang.Object

Helper class for : INITIALIZE

Author:
  OpenORB Compiler

Constructor Summary
`INITIALIZEHelper()`

Method Summary
`static INITIALIZE` `extract(Any a)` Extract INITIALIZE from an any
`static java.lang.String` `id()` Return the INITIALIZE IDL ID
`static void` `insert(Any a, INITIALIZE t)` Insert INITIALIZE into an any
`static INITIALIZE` `read(InputStream istream)` Read INITIALIZE from a marshalled stream
`static TypeCode` `type()` Return the INITIALIZE TypeCode
`static void` `write(OutputStream ostream, INITIALIZE value)` Write INITIALIZE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INITIALIZEHelper

    public INITIALIZEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INITIALIZE t)

  Insert INITIALIZE into an any
  Parameters:
    `a` - an any
    `t` - INITIALIZE value

### extract

    public static INITIALIZE extract(Any a)

  Extract INITIALIZE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INITIALIZE value

### type

    public static TypeCode type()

  Return the INITIALIZE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INITIALIZE IDL ID
  Returns:
    an ID

### read

    public static INITIALIZE read(InputStream istream)

  Read INITIALIZE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INITIALIZE value

### write

    public static void write(OutputStream ostream,
                             INITIALIZE value)

  Write INITIALIZE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INITIALIZE value